<?php
namespace CP\CooluriPageurls\ViewHelpers;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class GetPageUrlsViewHelper extends AbstractViewHelper {

	/**
	 * @param int page
	 * @return array
	 */
	public function render($page = NULL) {
		$id = GeneralUtility::_GP('id');
		$rows = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('*', 'link_cache', "(`params` LIKE " .
			$GLOBALS['TYPO3_DB']->fullQuoteStr('%"id";s:' . strlen($id) . ':"' . $id . '"%', 'link_cache') .
			" OR `params` LIKE " .
			$GLOBALS['TYPO3_DB']->fullQuoteStr('%"id";i:' . $id . ';%', 'link_cache') .
			")");

		if (!is_array($rows)) {
			throw new \Exception($GLOBALS['TYPO3_DB']->sql_error());
		}

		foreach($rows as &$row) {
			$row['params'] = unserialize($row['params']);
		}
		return $rows;
	}
}
