<?php
namespace CP\CooluriPageurls\ViewHelpers;
use \TYPO3\CMS\Backend\Utility\IconUtility;
use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class LanguageIconViewHelper extends AbstractViewHelper {

	/**
	 * @param int language
	 * @return array
	 */
	public function render($language = null) {
		if (is_null($language)) {
			$language = $this->renderChildren();
		}
		if (is_null($language)) {
			return "default";
		}

		$languageRecord = $GLOBALS['TYPO3_DB']->exec_SELECTgetSingleRow('*', 'sys_language', '`uid` = ' . intval($language));
		if (!is_array($languageRecord)) {
			return '?';
		}
		return IconUtility::getSpriteIconForRecord('sys_language', $languageRecord) . $languageRecord['title'];
	}
}
